{% extends "base.html" %}
{% load crispy_forms_tags %}
{% load static documents_tags %}

{% block title %}
    MiCorr | Search tools
{% endblock %}

{% block content %}
    <div class="container">
        <div class="lightframe">

            <div class="row">
                {% if current_url == 'artefact-search-by-keywords' %}
                    <div class="c6 pre3">
                {% else %}
                    <div class="c6">
                {% endif %}
                <h1>Search</h1>
                </div>
            </div>

            <div class="row">
                <form action="." method="get">
                    {% if current_url == 'artefact-search-by-keywords' %}
                        <div class="c6 pre3">
                    {% else %}
                        <div class="c6">
                    {% endif %}
                    <h3 class="underline">by keywords</h3>
                    <p>{{ search.q }}</p>
                    <br/>
                    {# {% crispy filter.form %} #}
                    <div class="line">
                        <button type="submit" class="btn btn-primary btn-lg">Search database <span
                                class="glyphicon glyphicon-search faded"></span></button>
                    </div>
                    </div>
                </form>
                {% if current_url != 'artefact-search-by-keywords' %}
                    <a href="{% url 'artefacts:searchStratigraphy' %}">
                        <h3 class="underline">By stratigraphy representation</h3>
                        <div class="c6">
                            <i class="icon-micorr disc fa-4x"></i>
                        </div>
                    </a>
                {% endif %}
            </div>
        </div>
        {% if request.GET or facets %}
            <div class="row">
                <div class="line">
                    <h1>Overview of the results</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="table-responsive">
                        <table id="facetsTableCountry" class="table table-bordered table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Country</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% include "artefacts/facet.html" with facet="country" %}
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="table-responsive">
                        <table id="facetsTableMetal" class="table table-bordered table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Metal</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% include "artefacts/facet.html" with facet="metal_e_1" %}
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="table-responsive">
                        <table id="facetsTableCorrosionForm" class="table table-bordered table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Corrosion Form</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% include "artefacts/facet.html" with facet="corrosion_form" %}
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="table-responsive">
                        <table id="facetsTableEnvironment" class="table table-bordered table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Environment</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% include "artefacts/facet.html" with facet="environment" %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            {% if display_selected_facets %}
                <div class="row">
                    <div class="line">
                        <h1> active filters </h1>
                    </div>
                </div>

                <div class="row">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            {% for facet in display_selected_facets %}
                                <li class="breadcrumb-item"><a href="#" onclick="onBreadcrumbClick()"
                                                               title="Remove all filters">{{ facet.name }}
                                    : {{ facet.value }}</a></li>
                            {% endfor %}
                        </ol>
                    </nav>
                </div>
            {% endif %}
            {% if results %}
                <div class="row">
                    <div class="line">
                        <h1>Results</h1>
                    </div>
                </div>

                <div class="row">
                    <div class="table-responsive">
                        <table id="results-table" class="table table-bordered table-striped table-hover">
                            <thead>
                            <tr>
                                <th>Metal Family</th>
                                <th>Alloy</th>
                                <th>Object type</th>
                                <th>Object name</th>
                                <th>Origin</th>
                                <th>Chronology</th>
                                <th>Technology</th>
                                <th>Artefact location</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for artefact in results %}
                                <tr onmouseover="this.style.cursor='pointer'"
                                    onclick="window.open('{% url 'artefacts:artefact-detail' artefact.pk %}')">
                                    <td>{{ artefact.metal_e_1|default:"" }}</td>
                                    <td>{{ artefact.alloy|default:"" }}</td>
                                    <td>{{ artefact.type|default:"" }}</td>
                                    <td>{{ artefact.object.name|default:"" }}</td>
                                    <td>{{ artefact.origin|default:"" }}</td>
                                    <td>{{ artefact.chronology_category.name|default:"" }}</td>
                                    <td>{{ artefact.technology|default:"" }}</td>
                                    <td>{{ artefact.location|default:"" }}</td>
                                </tr>
                            {% empty %}
                                <tr>
                                    <td colspan="8">No results found</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            {% endif %}
        {% endif %}
    </div>
{% endblock content %}

{% block custom_bottom_script %}
    <script type="text/javascript">
        function onBreadcrumbClick() {
            // clear selected_facets query parameters
            // by re-submitting the form with current keyword
            $('form').submit();
        }

        $(document).ready(function () {
            $('#facetsTableCountry').DataTable({
                "paging": false, // Disable pagination
                "info": false, // Disable info section
                "columns": [
                    { "orderable": true }, // Make 'Facet' column sortable
                    { "orderable": true }  // Make 'Count' column sortable
                ]
            });
            $('#facetsTableMetal').DataTable({
                "paging": false, // Disable pagination
                "info": false, // Disable info section
                "columns": [
                    { "orderable": true }, // Make 'Facet' column sortable
                    { "orderable": true }  // Make 'Count' column sortable
                ]
            });
            $('#facetsTableCorrosionForm').DataTable({
                "paging": false, // Disable pagination
                "info": false, // Disable info section
                "columns": [
                    { "orderable": true }, // Make 'Facet' column sortable
                    { "orderable": true }  // Make 'Count' column sortable
                ]
            });
            $('#facetsTableEnvironment').DataTable({
                "paging": false, // Disable pagination
                "info": false, // Disable info section
                "columns": [
                    { "orderable": true }, // Make 'Facet' column sortable
                    { "orderable": true }  // Make 'Count' column sortable
                ]
            });
            $('#results-table').DataTable();
        });
    </script>
    
    <style type="text/css">
        input[type="search"] {
            width: 100%;
        }
    </style>
{% endblock custom_bottom_script %}